Index: media/RealtimeAlloc.h
===================================================================
--- media/RealtimeAlloc.h	(revision 28851)
+++ media/RealtimeAlloc.h	(working copy)
@@ -47,5 +47,5 @@
 }
 #endif
 
-#endif // _REALTIME_ALLOC_H
+#endif /* _REALTIME_ALLOC_H */
 
Index: kernel/fs_query.h
===================================================================
--- kernel/fs_query.h	(revision 28851)
+++ kernel/fs_query.h	(working copy)
@@ -13,12 +13,12 @@
 /* Flags for fs_open_[live_]query() */
 
 #define B_LIVE_QUERY		0x00000001
-	// Note, if you specify B_LIVE_QUERY, you have to use fs_open_live_query();
-	// it will be ignored in fs_open_query().
+	/* Note, if you specify B_LIVE_QUERY, you have to use fs_open_live_query(); */
+	/* it will be ignored in fs_open_query(). */
 #define B_QUERY_NON_INDEXED	0x00000002
-	// Only enable this feature for non time-critical things, it might
-	// take a long time to proceed.
-	// Also, not every file system might support this feature.
+	/* Only enable this feature for non time-critical things, it might */
+	/* take a long time to proceed. */
+	/* Also, not every file system might support this feature. */
 
 
 #ifdef  __cplusplus
Index: kernel/fs_volume.h
===================================================================
--- kernel/fs_volume.h	(revision 28851)
+++ kernel/fs_volume.h	(working copy)
@@ -5,7 +5,7 @@
 #ifndef _FS_VOLUME_H
 #define	_FS_VOLUME_H
 
-//!	File System volume functions
+/*!	File System volume functions */
 
 #include <OS.h>
 
Index: kernel/fs_attr.h
===================================================================
--- kernel/fs_attr.h	(revision 28851)
+++ kernel/fs_attr.h	(working copy)
@@ -25,9 +25,9 @@
 extern int		fs_remove_attr(int fd, const char *attribute);
 extern int		fs_stat_attr(int fd, const char *attribute, struct attr_info *attrInfo);
 
-// ToDo: the following three functions are not part of the R5 API, and
-// are only preliminary - they may change or be removed at any point
-//extern int	fs_open_attr(const char *path, const char *attribute, uint32 type, int openMode);
+/* ToDo: the following three functions are not part of the R5 API, and */
+/* are only preliminary - they may change or be removed at any point */
+/*extern int	fs_open_attr(const char *path, const char *attribute, uint32 type, int openMode); */
 extern int		fs_open_attr(int fd, const char *attribute, uint32 type, int openMode);
 extern int		fs_close_attr(int fd);
 
Index: kernel/image.h
===================================================================
--- kernel/image.h	(revision 28851)
+++ kernel/image.h	(working copy)
@@ -35,33 +35,33 @@
 	int32		data_size;
 } image_info;
 
-// flags for clear_caches()
+/* flags for clear_caches() */
 #define B_FLUSH_DCACHE				0x0001	/* data cache */
 #define B_FLUSH_ICACHE				0x0004	/* instruction cache */
 #define B_INVALIDATE_DCACHE			0x0002
 #define B_INVALIDATE_ICACHE			0x0008
 
-// symbol types
+/* symbol types */
 #define	B_SYMBOL_TYPE_DATA			0x1
 #define	B_SYMBOL_TYPE_TEXT			0x2
 #define B_SYMBOL_TYPE_ANY			0x5
 
-// initialization/termination functions of shared objects
+/* initialization/termination functions of shared objects */
 #define	B_INIT_BEFORE_FUNCTION_NAME	"initialize_before"
 #define B_INIT_AFTER_FUNCTION_NAME	"initialize_after"
 #define	B_TERM_BEFORE_FUNCTION_NAME	"terminate_before"
 #define B_TERM_AFTER_FUNCTION_NAME	"terminate_after"
 
-// flags for _kern_load_image() (private API)
+/* flags for _kern_load_image() (private API) */
 enum {
 	B_WAIT_TILL_LOADED	= 0x01,
-		// Wait till the loader has loaded and relocated
-		// (but not yet initialized) the application
-		// image and all dependencies. If not supplied,
-		// the function returns before the loader
-		// started to do anything at all, i.e. it
-		// returns success, even if the executable
-		// doesn't exist.
+		/* Wait till the loader has loaded and relocated */
+		/* (but not yet initialized) the application */
+		/* image and all dependencies. If not supplied, */
+		/* the function returns before the loader */
+		/* started to do anything at all, i.e. it */
+		/* returns success, even if the executable */
+		/* doesn't exist. */
 };
 
 #ifdef __cplusplus
Index: kernel/disk_scanner.h
===================================================================
--- kernel/disk_scanner.h	(revision 28851)
+++ kernel/disk_scanner.h	(working copy)
@@ -11,7 +11,7 @@
 #include <SupportDefs.h>
 
 
-// session flags
+/* session flags */
 enum {
 	B_DATA_SESSION			= 0x01,	/* data session */
 	B_VIRTUAL_SESSION		= 0x02,	/* e.g. hard disk */
@@ -25,7 +25,7 @@
 	uint32	flags;				/* session flags */
 } session_info;
 
-// partition flags
+/* partition flags */
 enum {
 	B_HIDDEN_PARTITION		= 0x01,	/* non-file system partition */
 	B_VIRTUAL_PARTITION		= 0x02,	/* e.g. floppy */
@@ -49,7 +49,7 @@
 extern "C" {
 #endif
 
-// getting infos
+/* getting infos */
 status_t get_nth_session_info(int deviceFD, int32 index,
 							  session_info *sessionInfo);
 status_t get_nth_partition_info(int deviceFD, int32 sessionIndex,
@@ -57,20 +57,20 @@
 								extended_partition_info *partitionInfo,
 								char *partitionMapName);
 
-// partitioning
+/* partitioning */
 status_t get_partitioning_parameters(int deviceFD, int32 sessionIndex,
 									 const char *identifier, char *buffer,
 									 size_t bufferSize, size_t *actualSize);
 status_t partition_session(int deviceFD, int32 sessionIndex,
 						   const char *identifier, const char *parameters);
 
-// initialization
+/* initialization */
 status_t get_fs_initialization_parameters(int deviceFD, int32 sessionIndex,
 										  int32 partitionIndex,
 										  const char *fileSystem, char *buffer,
 										  size_t bufferSize,
 										  size_t *actualSize);
-// TODO: Move to <unistd.h>. It fits better there.
+/* TODO: Move to <unistd.h>. It fits better there. */
 status_t initialize_volume(const char *where, const char *fileSystem, 
 						   const char *volumeName, const char *parameters);
 
Index: kernel/fs_info.h
===================================================================
--- kernel/fs_info.h	(revision 28851)
+++ kernel/fs_info.h	(working copy)
@@ -16,7 +16,7 @@
 #define	B_FS_HAS_MIME			0x00010000
 #define	B_FS_HAS_ATTR			0x00020000
 #define	B_FS_HAS_QUERY			0x00040000
-// those additions are preliminary and may be removed
+/* those additions are preliminary and may be removed */
 #define B_FS_HAS_SELF_HEALING_LINKS		0x00080000
 #define B_FS_HAS_ALIASES				0x00100000
 #define B_FS_SUPPORTS_NODE_MONITORING	0x00200000
